# -*- coding: utf-8 -*-
import django_filters

from events.balance.models import Order


class OrderFilter(django_filters.FilterSet):
    profile_survey_answer__profile = django_filters.Filter(
        method=lambda qs, value: qs.filter(**{'profile_survey_answer__profile': value}) if value is not None else qs
    )

    class Meta:
        model = Order
        fields = (
            'id',
        )
